Author Topic: Cakewalk 3.0 for DOS (Oct 1989) requires intelligent mpu-401 hardware  (Read 2758 times)

0 Members and 1 Guest are viewing this topic.

Offline chrisNova777

  • Administrator
  • Posts: 8538
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
http://vetusware.com/download/Cakewalk%203.0%203.0/?id=7967
unzip with winrar or 7zip



Quote
Cakewalk for DOS, until version 4.0, required an MPU-401 MIDI interface card operating in intelligent mode, while 4.0 and later versions relied on the dumb UART mode only -- https://en.wikipedia.org/wiki/Cakewalk_(sequencer)
this is written + worded incredibly bad.. what its trying to say is that before v4.0, in v3.0 you required mpu-401 midi interface to use the app, in v4.0 they added more driver capabilities this was due to the timing of the release, and the recent changes in midi hardware, v4.0s initial release,according to my information, was released sometime in 1991, a time where 286 ibm pcs were being replaced with 386 ibm pcs, 486s were the cream of the crop, but not yet the standard or norm and were VERY expensive options at the time.. that became more popular as time went on.. so in v4.0 in 1991, cakewalk added the ability to have the sequencer work with midi ports that were increasingly availble on soundblaster cards (which were ISA at the time, not PCI, pci was not invented until 1993)

anyway regardless ; it still highlights the fact that in v3.0 of cakewalk + prior, you needed to have more specific hardware options ie: a real Roland mpu-401 interface or compatible (which was often powered by the roland chipset, but licensed to a third party manufacturer)

so in otherwords if u dont have a real roland mpu-401 interface + a vintage computer, do not try to use v3.0 or prior of cakewalk


https://books.google.ca/books?id=l3Z0ZgEexGEC&pg=PT502&dq=yamaha+c1&hl=en&sa=X&ved=0ahUKEwjBxbGT0NrKAhVJmoMKHQJuANUQ6AEIPzAE#v=onepage&q=yamaha%20c1&f=false

Offline chrisNova777

  • Administrator
  • Posts: 8538
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
Re: Cakewalk 3.0 for DOS (1989) requires intelligent mpu-401 hardware
« Reply #1 on: August 26, 2017, 09:13:24 PM »
the executable file is dated October 1989

Offline chrisNova777

  • Administrator
  • Posts: 8538
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
Re: Cakewalk 3.0 for DOS (Oct 1989) requires intelligent mpu-401 hardware
« Reply #2 on: August 07, 2019, 12:22:29 AM »
http://web.archive.org/web/20061123174048/http://www.queststudios.com/roland/utilities/cakewalk3.zip

theres also this file;
not sure if this is 3 for DOS; or 3 for win3.x
but im guessing its 3 for DOS